package com.jz.dmp.modules.controller.dataService.bean;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: AuthUserApiReq
 * @Description: API认证授权
 * @Author: Bellamy
 * @Date 2021/1/19
 * @Version 1.0
 */
@Data
@ApiModel("API认证授权")
public class AuthUserApiReq implements Serializable {

    @ApiModelProperty(value = "apiKey唯一标识",required = true)
    @NotNull(message = "apiKey唯一标识不能为空")
    @NotEmpty(message = "apiKey唯一标识不能为空")
    private String apiKey;

    @ApiModelProperty(value = "组织编码",required = true)
    @NotNull(message = "组织编码不能为空")
    @NotEmpty(message = "组织编码不能为空")
    private String orgCode;

    @ApiModelProperty(value = "授权方式:POWER_CALL_MODE 按次调用 ,RECORD_TIME_MODE 按时间调用,PERMANENT_TIME_MODE 永久有效",required = true)
    @NotNull(message = "授权方式不能为空")
    private String authMode;

    @ApiModelProperty(value = "创建用户",required = false)
    private String createUser;

}
