package com.jz.dmp.modules.dao;

import com.jz.common.persistence.CrudDao;
import com.jz.dmp.modules.model.DmpProject;
import com.jz.dmp.modules.model.DmpProjectSystemInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface DmpProjectDao extends CrudDao<DmpProject> {
	
	public List<DmpProject> getExampleQuery(Map<String, Object> params);
	
	public List<Map<String, ?>> getProjectPage(DmpProject params);
	
	public List<Map<String, ?>> getHeaderProjectList(DmpProject params);
	
	public void disable(Long id);
	
	public void enable(Long id);
	
	public List<Map<String, ?>> getProjectOrgPermission();
	
	public List<Map<String, ?>> getProjectInfo(Long id);
	
	public void insertProjectSystemInfo(DmpProjectSystemInfo systemInfo);
	
	public void updateProjectSystemInfo(DmpProjectSystemInfo systemInfo);
	
	public List<DmpProjectSystemInfo> getProjectSystemInfo(Long projectId);

	/**
	 * 根据projectId查询项目系统配置信息
	 *
	 * @return
	 * @author Bellamy
	 * @since 2021-01-08
	 */
	DmpProjectSystemInfo queryProjectSystemInfo(Long projectId);
	
	/**条件查询项目信息
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpProject> findListByMap(Map<String, Object> param)throws Exception;
}
