package com.jz.dmp.modules.dao;

import com.jz.dmp.modules.model.DmpRealtimeSyncHandleCount;
import com.jz.dmp.modules.model.DmpRealtimeSyncSubmitResult;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 实时同步任务处理数(DmpRealtimeSyncHandleCount)表数据库访问层
 *
 * @author Bellamy
 * @since 2021-01-08 14:56:03
 */
public interface DmpRealtimeSyncHandleCountDao {

    /**
     * 通过ID查询单条数据
     *
     * @param uuid
     * @return 实例对象
     */
    DmpRealtimeSyncHandleCount queryById(@Param("uuid") String uuid);

    /**
     * 查询指定行数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<DmpRealtimeSyncHandleCount> queryAllByLimit(@Param("offset") int offset, @Param("limit") int limit);


    /**
     * 通过实体作为筛选条件查询
     *
     * @param dmpRealtimeSyncHandleCount 实例对象
     * @return 对象列表
     */
    List<DmpRealtimeSyncHandleCount> queryAll(DmpRealtimeSyncHandleCount dmpRealtimeSyncHandleCount);

    /**
     * 新增数据
     *
     * @param dmpRealtimeSyncHandleCount 实例对象
     * @return 影响行数
     */
    int insert(DmpRealtimeSyncHandleCount dmpRealtimeSyncHandleCount);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<DmpRealtimeSyncHandleCount> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<DmpRealtimeSyncHandleCount> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<DmpRealtimeSyncHandleCount> 实例对象列表
     * @return 影响行数
     */
    int insertOrUpdateBatch(@Param("entities") List<DmpRealtimeSyncHandleCount> entities);

    /**
     * 修改数据
     *
     * @param dmpRealtimeSyncHandleCount 实例对象
     * @return 影响行数
     */
    int update(DmpRealtimeSyncHandleCount dmpRealtimeSyncHandleCount);

    /**
     * 通过主键删除数据
     *
     * @param 主键
     * @return 影响行数
     */
    int deleteById();

    /**
     * 保存实时同步任务提交结果
     *
     * @param dmpRealtimeSyncSubmitResult
     * @return 影响行数
     * @author Bellamy
     * @since 2021-01-07
     */
    int insertRealtimeSyncSubmitResult(DmpRealtimeSyncSubmitResult dmpRealtimeSyncSubmitResult);
}